/*

  RF 433MHz Transmitter 

  Parts required:
  - Arduino Board
  - RF 433MHz Transmitter

  Libraries required:
  - RadioHead (Download on www.it-teknolog.dk

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 16 Dec 2019
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

#include <RH_ASK.h>
#include <SPI.h> // Not actually used but needed to compile

RH_ASK driver;

void setup()
{
    Serial.begin(9600);    // Debugging only
    Serial.println("Serial Monitor Started....");
    if (!driver.init())
         Serial.println("init failed");
}

void loop()
{
    const char *msg = "Hello World!";
    driver.send((uint8_t *)msg, strlen(msg));
    driver.waitPacketSent();
    Serial.println("Packed Send..");
    delay(1000);
}
